
# Anleitung zur Konfiguration des E-Mail-Abrufs in OTOBO (IMAP OAuth2)

## Schritt 1: Azure-Konfiguration

1. **Azure-Portal**: Melden Sie sich im [Azure-Portal](https://portal.azure.com) an.

2. **Enterprise-Anwendung hinzufügen**:
   - Navigieren Sie zu **Microsoft Entra ID** > **Unternehmensanwendungen**.
   - Erstellen Sie eine neue eigene Anwendung und vergeben Sie einen Namen.
   - Weisen Sie den Benutzer des E-Mail-Postfachs dieser Anwendung zu.
   - Notieren Sie die **Anwendungs-ID** (Client-ID) und die **Mandanten-ID** (Tenant-ID).

3. **App-Registrierung**:
   - Wechseln Sie zu **App-Registrierungen** und erstellen Sie eine neue App.
   - Fügen Sie eine Umleitungs-URL vom Typ "Web" hinzu:
     ```
     https://devsupport.xsense.ch/otobo/index.pl?Action=AdminMailAccount
     ```
   - Erstellen Sie einen geheimen Clientschlüssel und notieren Sie den Wert (nicht die Schlüssel-ID).

4. **API-Berechtigungen**:
   - Navigieren Sie zu **API-Berechtigungen** und fügen Sie die folgende delegierte Berechtigung hinzu:
     - `IMAP.AccessAsUser.All`

5. **Ports überprüfen**:
   - Stellen Sie sicher, dass der Port 143 für IMAP geöffnet ist. (default ist so konfiguriert)

## Schritt 2: OTOBO OAuth2-Konfiguration

Vor Beginn von Schritt 2 muss das OAuth2-Modul `MailAccount-OAuth2` installiert werden. Dies erfolgt über den OTOBO-Paketmanager unter:
[OTOBO-Paketmanager](https://devsupport.xsense.ch/otobo/index.pl?Action=AdminPackageManager).

1. **Systemkonfiguration**:
   - Melden Sie sich im OTOBO Admin Interface an und navigieren Sie zu **Systemkonfiguration**.
   - Aktivieren Sie das Profil `OAuth2::MailAccount::Profiles###Custom1`.
   - Geben Sie die **Anwendungs-ID** (Client-ID) und den **Client Secret** ein.

2. **Provider-Einstellungen**:
   - Passen Sie die Option `OAuth2::MailAccount::Providers###MicrosoftAzure` an.
   - Ersetzen Sie in den Feldern `AuthURL` und `TokenURL` den Pfad "common" durch Ihre **Mandanten-ID**.

3. **PostMaster-E-Mail-Konto konfigurieren**:
   - Gehen Sie zu **Admin** > **PostMaster-E-Mail-Konten**.
   - Fügen Sie ein neues E-Mail-Konto hinzu und wählen Sie als Typ `IMAPOAuth2`.
   - Speichern Sie die Einstellungen. Sie werden zur Anmeldung bei Azure weitergeleitet.
   - Melden Sie sich mit dem E-Mail-Konto an, das das Postfach besitzt.
   - Hier werden sie Dann aufgefordert die MFA zu Aktivieren, drücken sie dann auf "Später erinnern" und auf der nächsten seite dann "Weiter"

## Schritt 3: E-Mail-Abruf testen



- **Konsolenbefehl**:
  - Führen Sie den folgenden Befehl aus, um den E-Mail-Abruf zu testen:
    ```
    bin/otobo.Console.pl Maint::PostMaster::MailAccountFetch
    ```
  - Für Docker-Installationen:
    ```
    docker exec -t -u otobo otobo_web_1 bin/otobo.Console.pl Maint::PostMaster::MailAccountFetch
    ```
  - Verwenden Sie die Option `--debug` für ausführlichere Ausgaben.



- **Manuelle Methode**:
  - Senden Sie eine Test-E-Mail an das Postfachkonto, das in OTOBO hinterlegt wurde.
  - Gehen Sie zu [OTOBO-Mailkonten](https://devsupport.xsense.ch/otobo/index.pl?Action=AdminMailAccount).
  - Wählen Sie das gewünschte E-Mail-Konto aus und klicken Sie auf **E-Mails Abholen**.
  - Prüfen Sie, ob die E-Mails erfolgreich abgeholt wurden.



Weitere Informationen finden Sie in der [OTOBO-Dokumentation](https://doc.otobo.org/manual/admin/11.0/de/content/administration-area/communication-notifications/postmaster-mail-accounts.html#pop3-and-imap-oauth2-authentification).
